<?php
namespace Drcsystems\DrcSlickCarousel\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Slides
 */
class Slides extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * slideType
     *
     * @var int
     */
    protected $slideType = '';
    /**
     * slideTitle
     *
     * @var string
     */
    protected $slideTitle = '';
    
    /**
     * image
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference>
     */
    protected $image = null;

    /**
     * video
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference>
     */
    protected $video = null;
    
    /**
     * text
     *
     * @var string
     */
    protected $text = '';
    
    /**
     * Returns the slideType
     *
     * @return string $slideType
     */
    public function getSlideType()
    {
        return $this->slideType;
    }

    /**
     * Sets the slideType
     *
     * @param string $slideType
     * @return void
     */
    public function setSlideType($slideType)
    {
        $this->slideType = $slideType;
    }
    /**
     * Returns the slideTitle
     *
     * @return string $slideTitle
     */
    public function getSlideTitle()
    {
        return $this->slideTitle;
    }
    
    /**
     * Sets the slideTitle
     *
     * @param string $slideTitle
     * @return void
     */
    public function setSlideTitle($slideTitle)
    {
        $this->slideTitle = $slideTitle;
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects() {
        $this->image = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->video = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }

    /**
     * Adds a Category
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $image
     * @return void
     */
    public function addImage(\TYPO3\CMS\Extbase\Domain\Model\FileReference $image) {
        $this->image->attach($image);
    }

    /**
     * Removes a Image
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $image The Category to be removed
     * @return void
     */
    public function removeImage(\TYPO3\CMS\Extbase\Domain\Model\FileReference $image) {
        $this->image->detach($image);
    }

    /**
     * Returns the image
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $image
     */
    public function getImage()
    {
        return $this->image;
    }
    
    /**
     * Sets the image
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $image
     * @return void
     */
    public function setImage(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $image)
    {
        $this->image = $image;
    }
    
    /**
     * Adds a Category
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $video
     * @return void
     */
    public function addVideo(\TYPO3\CMS\Extbase\Domain\Model\FileReference $video) {
        $this->video->attach($video);
    }

    /**
     * Removes a Video
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $video The Category to be removed
     * @return void
     */
    public function removeVideo(\TYPO3\CMS\Extbase\Domain\Model\FileReference $video) {
        $this->video->detach($video);
    }
    
    /**
     * Returns the video
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $video
     */
    public function getVideo()
    {
        return $this->video;
    }
    
    /**
     * Sets the video
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $video
     * @return void
     */
    public function setVideo(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $video)
    {
        $this->video = $video;
    }
    
    /**
     * Returns the text
     *
     * @return string $text
     */
    public function getText()
    {
        return $this->text;
    }
    
    /**
     * Sets the text
     *
     * @param string $text
     * @return void
     */
    public function setText($text)
    {
        $this->text = $text;
    }

}